<!-- Filters -->
<ng-container [formGroup]="filterForm">
    <div class="row">
        <div class="col-xs-12 col-sm-3 pr-1">
            <app-select-search [formGroup]="filterForm" [controlName]="'idCountry'" [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.country'" [items]="countries" (changeItem)="onCountryChange($event)" (search)="getCountries($event)" class="dashboard"></app-select-search>
        </div>
        <div class="col-xs-12 col-sm-3 pr-1">
            <app-select-search [formGroup]="filterForm" [controlName]="'idState'" [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.state'" [items]="states" (changeItem)="onStateChange($event)" (search)="getStates(filterForm.get('idCountry').value, $event)" class="dashboard"></app-select-search>
        </div>
        <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
            <app-select-search [formGroup]="filterForm" [controlName]="'idCity'" [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.city'" [items]="cities" (search)="getCities(filterForm.get('idCountry').value, filterForm.get('idState').value, $event)" class="dashboard"></app-select-search>
        </div>
        <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
            <button type="submit" class="btn btn-filter font-small-2 px-5 mt-1" (click)="applyFilters()">{{ 'forms.buttons.filter' | translate}}</button>
        </div>
    </div>

    <app-statistics-total-dashboard #statisticsTotalDashboardComponent></app-statistics-total-dashboard>

    <div class="row mt-3 statistics-map">
        <div class="search">
            <app-statistics-zone-dashboard [filters]="filterForm.value" #statisticsZoneDashboardComponent></app-statistics-zone-dashboard>
        </div>
        <div class="map">
            <div class="row mb-2 mx-0">
                <div class="col-12">
                    <ng-select formControlName="status" [items]="catalogUserStatuses" bindLabel="label" bindValue="value" placeholder="{{ 'forms.fields.userClasification' | translate}}" clearAllText="Clear" [multiple]="false" [notFoundText]="'forms.messages.noResults' | translate"
                        class="dashboard" (change)="getGeoService()"></ng-select>
                </div>
            </div>
            <app-map [filters]="filtersMap" [heatmap]="heatmap" [showLoader]="showLoader" [markers]="markers" [latitude]="mapLat" [longitude]="mapLng" [zoom]="mapZoom" (boundsChange)="onBoundsChange($event)" (changeFilter)="changeMapFilters($event)"></app-map>
        </div>
    </div>

    <!-- Graph -->
    <app-graph-registered-vs-colaborators #graphRegisteredVsColaboratorsComponent [zone]="filterForm.value" class="d-block mt-3"></app-graph-registered-vs-colaborators>
</ng-container>